#!perl
use strict;
use warnings;

use Test::More;

plan tests => 18;

BEGIN { use_ok('DBIx::Fast'); }
BEGIN { use_ok('DBIx::Fast::Base'); }
BEGIN { use_ok('DBIx::Fast::Connector'); }
BEGIN { use_ok('DBIx::Fast::Result'); }
BEGIN { use_ok('DBIx::Fast::Schema'); }
BEGIN { use_ok('DBIx::Fast::Transaction'); }
BEGIN { use_ok('DBIx::Fast::Profiler'); }
BEGIN { use_ok('DBIx::Fast::Profile::Base'); }
BEGIN { use_ok('DBIx::Fast::Profile::SQLite'); }
BEGIN { use_ok('DBIx::Fast::Profile::Pg'); }
BEGIN { use_ok('DBIx::Fast::Output'); }
BEGIN { use_ok('DBIx::Fast::SQL'); }
BEGIN { use_ok('DBIx::Fast::Cache'); }
BEGIN { use_ok('DBIx::Fast::Cached'); }
BEGIN { use_ok('DBIx::Fast::Profile::MariaDB'); }
BEGIN { use_ok('DBIx::Fast::Profile::mysql'); }
BEGIN { use_ok('SQL::Abstract'); }
BEGIN { use_ok('Object::Pad'); }

diag( "Testing DBIx::Fast $DBIx::Fast::VERSION, Perl $], $^X" );
